## grepcidr 1.3

=== Makefile ===
#
# Makefile for grepcidr
#

# Set to where you'd like grepcidr installed
INSTALLDIR=/usr/local/bin

# Set to your favorite C compiler and flags
CC=gcc
CFLAGS=-s -O3 -Wall -pedantic

# End of settable values

grepcidr:
	$(CC) $(CFLAGS) -o grepcidr grepcidr.c getopt.c

all:	grepcidr

install:	grepcidr
	cp grepcidr $(INSTALLDIR)

clean:
	rm -f grepcidr *.o

=== debian/changelog ===
grepcidr (1.3-6) unstable; urgency=low

  * Lintian cleanup:
    * ancient-standards-version
    * dm-upload-allowed-is-obsolete
    * hardening-no-relro
  * Add Vcs information
  * Enable XZ-compressed deb

 -- Ryan Finnie <ryan@finnie.org>  Sun, 10 Nov 2013 18:37:30 +0000

grepcidr (1.3-5) unstable; urgency=low

  * Housekeeping release (no user-visible changes)
  * Switch to dpkg-source 3.0 (quilt) format
  * Converted debian/rules to unified dh
  * Bumped debian/compat to 7
  * Adjusted debian/copyright (removed '(C)')
  * Added debian/watch file
  * Removed Build-Depends: docbook-to-man; debian/grepcidr.1 is now 
    pre-compiled (with included source and README for manual 
    regeneration)

 -- Ryan Finnie <ryan@finnie.org>  Sun, 04 Sep 2011 13:59:04 -0700

grepcidr (1.3-4) unstable; urgency=low

  * Dm-Upload-Allowed changed to XS-Dm-Upload-Allowed so it may be exported
    to the .dsc.

 -- Ryan Finnie <ryan@finnie.org>  Mon, 26 Nov 2007 22:43:39 -0800

grepcidr (1.3-3) unstable; urgency=low

  * 01_makefile.dpatch: Removed forced strip. (Closes: #437089)
  * 01_makefile.dpatch: Changed -O3 to -O2.
  * debian/rules: errors on "make clean" no longer ignored (Lintian
    debian-rules-ignores-make-clean-error).

 -- Ryan Finnie <ryan@finnie.org>  Mon, 26 Nov 2007 02:14:59 -0800

grepcidr (1.3-2) unstable; urgency=low

  * debian/control: Added "Dm-Upload-Allowed: yes" for debian-maintainer
    Ryan Finnie.

 -- Ryan Finnie <ryan@finnie.org>  Sat, 24 Nov 2007 23:02:06 -0800

grepcidr (1.3-1) unstable; urgency=low

  * Initial release (Closes: #391168)

 -- Ryan Finnie <ryan@finnie.org>  Thu,  5 Oct 2006 01:58:17 -0700

=== debian/control ===
Source: grepcidr
Section: net
Priority: optional
Maintainer: Ryan Finnie <ryan@finnie.org>
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.9.4
Homepage: http://www.pc-tools.net/unix/grepcidr/
Vcs-Browser: https://code.launchpad.net/~fo0bar/grepcidr/grepcidr-pkg-debian
Vcs-Bzr: http://bazaar.launchpad.net/~fo0bar/grepcidr/grepcidr-pkg-debian

Package: grepcidr
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Filter IP addresses matching IPv4 CIDR/network specification
 grepcidr can be used to filter a list of IP addresses against one or
 more Classless Inter-Domain Routing (CIDR) specifications, or
 arbitrary networks specified by an address range. As with grep, there
 are options to invert matching and load patterns from a file.
 grepcidr is capable of comparing thousands or even millions of IPs
 to networks with little memory usage and in reasonable computation
 time.
 .
 grepcidr has endless uses in network software, including: mail
 filtering and processing, network security, log analysis, and many
 custom applications.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

%:
	dh $@ 

override_dh_auto_build:
	$(MAKE) CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(CURDIR)/debian/grepcidr PREFIX=/usr

override_dh_installman:
	dh_installman debian/grepcidr.1

## grepcidr 2.0

=== Makefile ===
DESTDIR=
PREFIX=/usr/local
DATAROOTDIR=$(PREFIX)/share
DATADIR=$(DATAROOTDIR)
EXEC_PREFIX=$(PREFIX)
BINDIR=$(EXEC_PREFIX)/bin
SBINDIR=$(EXEC_PREFIX)/sbin
MANDIR=$(DATAROOTDIR)/man
INFODIR=$(DATAROOTDIR)/info

CPPFLAGS=
CFLAGS=-O3 -Wall -Werror
LDFLAGS=

all: grepcidr

grepcidr: grepcidr.o
	$(CC) $(CFLAGS) grepcidr.o -o grepcidr

doc: grepcidr.1

grepcidr.1: grepcidr.sgml
	docbook-to-man $< >$@

install: grepcidr
	install -m 0755 -d $(DESTDIR)$(BINDIR)
	install -m 0755 grepcidr $(DESTDIR)$(BINDIR)/grepcidr
	install -m 0755 -d $(DESTDIR)$(MANDIR)/man1
	install -m 0644 grepcidr.1 $(DESTDIR)$(MANDIR)/man1/grepcidr.1

clean:
	rm -f grepcidr *.o

doc-clean:
	rm -f grepcidr.1

=== debian/changelog ===
grepcidr (2.0-1build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:26:49 +0000

grepcidr (2.0-1) unstable; urgency=medium

  * New upstream release (Closes: #794509)
  * Lintian cleanup:
    * Bump Standards-Version: 3.9.6

 -- Ryan Finnie <ryan@finnie.org>  Sat, 28 Nov 2015 06:33:37 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: grepcidr
 Section: net
 Priority: optional
-Maintainer: Ryan Finnie <ryan@finnie.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ryan Finnie <ryan@finnie.org>
 Build-Depends: debhelper (>= 7.0.50~)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Homepage: http://www.pc-tools.net/unix/grepcidr/
 Vcs-Browser: https://code.launchpad.net/~fo0bar/grepcidr/grepcidr-pkg-debian
 Vcs-Bzr: http://bazaar.launchpad.net/~fo0bar/grepcidr/grepcidr-pkg-debian

=== debian/rules ===
--- 
+++ 
@@ -16,6 +16,3 @@
 
 override_dh_auto_install:
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/grepcidr PREFIX=/usr
-
-override_dh_installman:
-	dh_installman debian/grepcidr.1

=== debian/watch ===
version=3
http://www.pc-tools.net/files/unix/ grepcidr-(.*)\.tar\.gz
